DB_ENV->get_lg_bsize()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_ENV->get_lg_bsize()

    #include <db.h>

    int
    DB_ENV->get_lg_bsize(DB_ENV *dbenv, u_int32_t *lg_bsizep);

The `DB_ENV->get_lg_bsize()` method returns the size of the log buffer, in bytes. You can manage this value using the DB_ENV->set_lg_bsize() method.

The `DB_ENV->get_lg_bsize()` method may be called at any time during the life of the application.

The `DB_ENV->get_lg_bsize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lg_bsizep

The `DB_ENV->get_lg_bsize()` method returns the size of the log buffer, in bytes in lg_bsizep.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods, DB_ENV->set_lg_bsize()

Prev | Up | Next
Chapter 7. The DB_LSN Handle | Home | DB_ENV->get_lg_dir()